## device-control-service-mesh 1.1.0514netbook0natick2

=== Driver/Linux/Accel/src/Makefile ===
# Makefile2.6
ifneq ($(KERNELRELEASE),)
#kbuild syntax. dependency relationshsip of files and target modules are listed here.
#mymodule-objs := file1.o file2.o
#obj-m := mymodule.o 
obj-m := accel.o
else
PWD  := $(shell pwd)
KVER ?= $(shell uname -r)
KDIR := /lib/modules/$(KVER)/build

all:
	$(MAKE) -C $(KDIR) M=$(PWD)
clean:
	rm -rf .*.cmd *.o *.mod.c *.ko .tmp_versions
endif

=== Driver/Linux/Accel/test/Makefile ===
#
# makefile for accel plugin
#

CC = gcc -g -Wall
CFLAGS = -I../inc
LDFLAGS = -lpthread

# all C source files
SRC = $(notdir $(wildcard *.c))

# convert source files to object files
OBJ = $(patsubst %.c, %.o, $(SRC))

# target name
TAR = accel_test

all:	$(TAR)

$(OBJ): $(SRC)

$(TAR):	$(OBJ)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TAR) $(OBJ) core

=== Driver/Linux/VKD/test/Makefile ===
#
# makefile for cmpc_vkd plugin
#

CC = gcc -g -Wall
CFLAGS = -I../inc
LDFLAGS = -lpthread

# all C source files
SRC = $(notdir $(wildcard *.c))

# convert source files to object files
OBJ = $(patsubst %.c, %.o, $(SRC))

# target name
TAR = cmpc_vkd_main

all:	$(TAR)

$(OBJ): $(SRC)

$(TAR):	$(OBJ)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TAR) $(OBJ) core

=== debian/changelog ===
device-control-service-mesh (1.1.0514netbook0natick2) natick; urgency=low

  * Fixed rules file to account for package name change.

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Thu, 21 Aug 2009 11:56:22 -0300

device-control-service-mesh (1.1.0514netbook0natick1) natick; urgency=low

  * Build for natick distro
  * Updated build-depends

 -- Luis Felipe Strano Moraes <luis.strano@canonical.com>  Thu, 20 Aug 2009 15:54:34 -0300

device-control-service-mesh (1.1.0514netbook0natick1) hardy; urgency=low

  * Update Make File to follow up Open Source standard.

 -- Codesmith <yunsongx.chang@intel.com>  Fri, 15 May 2009 02:30:16 +0000

device-control-service-mesh (0.9.1203netbook0natick5) hardy; urgency=low

  * Sleeping 10 in an init script is not ideal since init scripts are run
    serially. Have netbook-config-natick's latebootcmds upstart task start dcs
    instead of dcs init script.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 12 Dec 2008 00:34:33 +0000

device-control-service-mesh (0.9.1203netbook0natick4) hardy; urgency=low

  * Add ENM plugin's build depends of libwxgtk2.8-0 (2.8.8.0)

 -- Lily <lifengx.wang@intel.com>  Thu, 11 Dec 2008 12:02:38 +0000

device-control-service-mesh (0.9.1203netbook0natick3) hardy; urgency=low

  * Remove libssl.so 

 -- Lily <lifengx.wang@intel.com>  Thu, 11 Dec 2008 11:32:52 +0000

device-control-service-mesh (0.9.1203netbook0natick2) hardy; urgency=low

  * Add ENM and PM plugin

 -- Lily <lifengx.wang@intel.com>  Tue, 09 Dec 2008 08:03:21 +0000

device-control-service-mesh (0.9.1203netbook0natick1) hardy; urgency=low

  * Bug fix

 -- root <alvin.zhang@intel.com>  Tue, 09 Dec 2008 05:18:40 +0000

device-control-service-mesh (0.9.1117netbook0natick2) hardy; urgency=low

  * Add file /etc/init.d/dcs

 -- lily <lifengx.wang@intel.com>  Mon, 24 Nov 2008 06:26:56 +0000

device-control-service-mesh (0.9.1117netbook0natick1) hardy; urgency=low

  * Drop from Intel for Natick Beta build. 

 -- lily <lifengx.wang@intel.com>  Wed, 19 Nov 2008 15:06:31 +0000

device-control-service-mesh (0.8.0.0netbook0natick1) hardy; urgency=low

  * Drop from Intel for Natick Beta build.  Modified drop slightly for proper
    integration into image.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 22 Oct 2008 20:33:08 +0000

device-control-service-mesh (0.7.0822) hardy; urgency=low

  * Beta drop from Intel

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Mon, 15 Sep 2008 19:47:04 +0000

=== debian/control ===
Source: device-control-service-mesh
Section: utils
Priority: optional
Maintainer: Huang Christina <christina.huang@intel.com>
Build-Depends: cdbs, libssl-dev, debhelper (>= 5), libwxgtk2.8-0 (>= 2.8.8.0), libwxbase2.8-0, libwxbase2.8-dev, libwxgtk2.8-0, libwxgtk2.8-dev, wx2.8-headers, libgtk2.0-dev, libdbus-glib-1-dev, autoconf, automake, debconf
Standards-Version: 3.7.3

Package: device-control-service-mesh
Architecture: lpia
Depends:     debconf
Conflicts: device-control-service
Description: Device Control Service for CMPC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/device-control-service.sgml > device-control-service.1
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/device-control-service.
	$(MAKE) DESTDIR=$(CURDIR)/debian/device-control-service-mesh install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
